## pidgin-skype 20100121+dfsg

=== Makefile ===

#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include
DBUS_CFLAGS = -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.6.1
WIN32_CFLAGS = -DPURPLE_PLUGINS -DENABLE_NLS -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_PIDGIN_DIR}/libpurple -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lgthread-2.0 -lintl -lpurple

VV_CFLAGS = -I/usr/include/gstreamer-0.10 -DUSE_VV -I/usr/include/libxml2
WIN32_VV_CFLAGS = -I${WIN32_DEV_DIR}/libxml2/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include/gstreamer-0.10 

DEB_PACKAGE_DIR = /root/skypeplugin

LOCALES = $(patsubst %.po, %.mo, $(wildcard po/*.po))

#Standard stuff here
.PHONY:	all clean allarch install locales uninstall

.DEPENDS: libskype.c skype_messaging.c skype_events.c debug.c

allarch:	skype4pidgin.deb skype4pidgin-installer.exe libskype_dbus.so libskype_dbus64.so libskypearm.so

#By default, 'make' compiles X11 version on local platform
all: .DEPENDS skype_messaging_x11.c skype_messaging_dbus.c
	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -pipe libskype.c -o libskype.so -shared -fPIC -DPIC
	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

install: locales
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22
	mkdir -p $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48
	mkdir -p $(DESTDIR)/usr/lib/purple-2
	install -m 664 theme $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype/
	install -m 664 icons/16/skypeout.png icons/16/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16
	install -m 664 icons/22/skypeout.png icons/22/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22
	install -m 664 icons/48/skypeout.png icons/48/skype.png $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48
	install -m 664 libskype_dbus.so libskype.so $(DESTDIR)/usr/lib/purple-2/

uninstall:
	rm -rf $(DESTDIR)/usr/share/pixmaps/pidgin/emotes/skype
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skype.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skype.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skypeout.png
	rm -rf  $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skype.png
	rm -rf $(DESTDIR)/usr/lib/purple-2/libskype.so
	rm -rf $(DESTDIR)/usr/lib/purple-2/libskype_dbus.so

clean:
	rm -f libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so libskype.dll skype4pidgin.deb skype4pidgin-installer.exe po/*.mo

libskypenet.so:  .DEPENDS skype_messaging_network.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskypenet.so -shared -fPIC -DPIC -DSKYPENET

libskype.so: .DEPENDS skype_messaging_x11.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -pipe libskype.c -o libskype.so -shared -fPIC -DPIC

libskype-vv.so: .DEPENDS skype_messaging_x11.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype-vv.so -shared -fPIC -DPIC ${VV_CFLAGS}

libskype64.so: .DEPENDS skype_messaging_x11.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC

libskypenet64.so: .DEPENDS skype_messaging_network.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskypenet64.so -shared -fPIC -DPIC -DSKYPENET

libskypearm.so: .DEPENDS skype_messaging_x11.c
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskypearm.so -shared -fPIC -DPIC

libskype_dbus.so: .DEPENDS skype_messaging_dbus.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

libskype_dbus64.so: .DEPENDS skype_messaging_dbus.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS}

libskype-vv.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype-vv.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all -DUSE_VV ${WIN32_VV_CFLAGS}

libskype.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libskype.dll

libskypenet.dll: .DEPENDS skype_messaging_network.c
	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskypenet.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -DSKYPENET -Wl,--strip-all
	upx libskypenet.dll

libskype-debug.dll: .DEPENDS skype_messaging_win32.c
	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype-debug.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}

libskypenet-debug.dll: .DEPENDS skype_messaging_network.c
	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskypenet-debug.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -DSKYPENET

po/%.mo: po/%.po
	msgfmt -cf -o $@ $<

locales:	${LOCALES}

skype4pidgin-installer.exe: libskype.dll
	date=`date +%d-%b-%Y` && sed "s/PRODUCT_VERSION \"[-a-z0-9A-Z]*\"/PRODUCT_VERSION \"$$date\"/" -i skype4pidgin.nsi
	echo "Making .exe package"
	makensis skype4pidgin.nsi > /dev/null

skype4pidgin.deb: libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so
	rm ${DEB_PACKAGE_DIR}/usr/lib/purple-2/libskype*.so
	cp libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	date=`date +%F` && sed "s/Version: [-a-z0-9A-Z]*/Version: $$date/" -i ${DEB_PACKAGE_DIR}/DEBIAN/control
	echo "Making .deb package"
	dpkg-deb --build ${DEB_PACKAGE_DIR} skype4pidgin.deb > /dev/null

=== debian/changelog ===
pidgin-skype (20100121+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #566655)
    - Fixes "Always shows skype-out contacts online" bug (Closes: #561664)
  * Added debug symbols binary package
  * Added Replaces/Conflicts for skype4pidgin package

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 24 Jan 2010 15:30:01 +0100

pidgin-skype (20090920+dfsg-2) unstable; urgency=low

  * d/control: Added libpurple dependency
  * d/copyright:
    - Added Format-Specification field
    - Updated copyright years
  * Updated maintainer email address

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 27 Dec 2009 14:44:41 +0100

pidgin-skype (20090920+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #555393)

 -- Gabriele Giacone <losgarbo@libero.it>  Wed, 04 Nov 2009 02:09:08 +0100

=== debian/control ===
Source: pidgin-skype
Section: contrib/net
Priority: optional
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
 libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
Standards-Version: 3.8.3
Homepage: http://eion.robbmob.com/

Package: pidgin-skype
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.1.1)
Provides: skype4pidgin
Replaces: skype4pidgin
Conflicts: skype4pidgin
Description: Skype plugin for libpurple messengers
 This protocol plugin allows libpurple to communicate with Skype.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application instead of the Skype user interface.
 .
 This plugin communicates with the Skype application in the
 background to perform its work, so it's necessary to have Skype
 installed and running.
 This product uses the Skype API but is not endorsed, certified
 or otherwise approved in any way by Skype.

Package: pidgin-skype-dbg
Section: contrib/debug
Priority: extra
Architecture: i386 amd64
Depends: ${misc:Depends}, pidgin-skype (= ${binary:Version})
Description: Skype plugin for libpurple messengers (debug symbols)
 This protocol plugin allows libpurple to communicate with Skype.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application instead of the Skype user interface.
 .
 This plugin communicates with the Skype application in the
 background to perform its work, so it's necessary to have Skype
 installed and running.
 This product uses the Skype API but is not endorsed, certified
 or otherwise approved in any way by Skype.
 .
 This package contains debug symbols for pidgin-skype.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_OPTIONS

SVGDIR  = $(CURDIR)/debian/svgs
DESTDIR = $(CURDIR)/debian/pidgin-skype

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(DESTDIR) install
	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skype.png
	rsvg-convert -w 16 -h 16 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/16/skypeout.png
	rsvg-convert -w 22 -h 22 $(SVGDIR)/skype.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skype.png
	rsvg-convert -w 22 -h 22 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/22/skypeout.png
	rsvg-convert -w 48 -h 48 $(SVGDIR)/skype.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skype.png
	rsvg-convert -w 48 -h 48 $(SVGDIR)/skypeout.svg \
		-o $(DESTDIR)/usr/share/pixmaps/pidgin/protocols/48/skypeout.png

override_dh_strip:
	dh_strip --dbg-package=pidgin-skype-dbg

## pidgin-skype 20100302+dfsg

=== Makefile ===
--- 
+++ 
@@ -69,10 +69,10 @@
 	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype-vv.so -shared -fPIC -DPIC ${VV_CFLAGS}
 
 libskype64.so: .DEPENDS skype_messaging_x11.c
-	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC
+	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
 
 libskypenet64.so: .DEPENDS skype_messaging_network.c
-	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskypenet64.so -shared -fPIC -DPIC -DSKYPENET
+	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskypenet64.so -shared -fPIC -DPIC -DSKYPENET -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
 
 libskypearm.so: .DEPENDS skype_messaging_x11.c
 	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskypearm.so -shared -fPIC -DPIC
@@ -81,7 +81,7 @@
 	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}
 
 libskype_dbus64.so: .DEPENDS skype_messaging_dbus.c
-	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS}
+	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS} -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
 
 libskype-vv.dll: .DEPENDS skype_messaging_win32.c
 	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype-vv.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all -DUSE_VV ${WIN32_VV_CFLAGS}

=== debian/changelog ===
pidgin-skype (20100302+dfsg-1) unstable; urgency=low

  [ Gabriele Giacone ]
  * New upstream release.
  * Standards-Version to 3.8.4.
  * Reduced patch 00Makefile size.

  [ Luca Falavigna ]
  * debian/control: add DM-Upload-Allowed field.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 25 Apr 2010 19:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://eion.robbmob.com/
+DM-Upload-Allowed: yes
 
 Package: pidgin-skype
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	$(MAKE) all
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(DESTDIR) install
 	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \

## pidgin-skype 20100826+dfsg

=== debian/changelog ===
pidgin-skype (20100826+dfsg-1) unstable; urgency=low

  * New upstream release.
    + Added an 'End Call' buddy menu option
    + Added a 're-request authorization' buddy menu option
    + Hopefully fixed groups in Adium this time
    + Fix to hide the 'Answer Call' window when answering a call
    + Fix the 'use saved status at startup' Pidgin preference
  * Standards-Version to 3.9.1.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 06 Sep 2010 22:17:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://eion.robbmob.com/
-DM-Upload-Allowed: yes
 
 Package: pidgin-skype
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,13 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=pidgin-skype-dbg
+
+TMPDIR=tmp-pidgin-skype
+get-orig-source:
+	@echo date=$(date) svnrev=$(svnrev)
+	@if [ "$(date)" = "" ] || [ "$(svnrev)" = "" ];then echo \
+		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
+	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
+	find $(TMPDIR) -type f -name '*.png' -print -delete
+	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+dfsg.orig.tar.gz *
+	rm -rf $(TMPDIR)

## pidgin-skype 20110407+svn612+dfsg

=== debian/changelog ===
pidgin-skype (20110407+svn612+dfsg-1ubuntu1) oneiric; urgency=low

  * Use pkg-config to find glib and dbus include paths (LP: #756174)
    - add debian/patches/use-pkg-config.patch
    - update debian/patches/series
  * Add libdbus-1-dev and pkg-config to build-deps
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 30 Jul 2011 23:14:29 -0500

pidgin-skype (20110407+svn612+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version to 3.9.2.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 10 Apr 2011 19:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pidgin-skype
 Section: contrib/net
 Priority: optional
-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
- libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin
-Standards-Version: 3.9.1
+ libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
+Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
 Homepage: http://eion.robbmob.com/
 
 Package: pidgin-skype

## pidgin-skype 20110407+svn628+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.6.1
 WIN32_CFLAGS = -DPURPLE_PLUGINS -DENABLE_NLS -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_PIDGIN_DIR}/libpurple -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lgthread-2.0 -lintl -lpurple
+XUL_LIBS = -I/usr/lib/xulrunner/include xpcomModule.cpp -I/usr/include/nspr
 
 VV_CFLAGS = -I/usr/include/gstreamer-0.10 -DUSE_VV -I/usr/include/libxml2
 WIN32_VV_CFLAGS = -I${WIN32_DEV_DIR}/libxml2/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include/gstreamer-0.10 
@@ -65,9 +66,6 @@
 libskype.so: .DEPENDS skype_messaging_x11.c
 	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -pipe libskype.c -o libskype.so -shared -fPIC -DPIC
 
-libskype-vv.so: .DEPENDS skype_messaging_x11.c
-	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype-vv.so -shared -fPIC -DPIC ${VV_CFLAGS}
-
 libskype64.so: .DEPENDS skype_messaging_x11.c
 	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
 
@@ -78,17 +76,17 @@
 	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libskype.c -o libskypearm.so -shared -fPIC -DPIC
 
 libskype_dbus.so: .DEPENDS skype_messaging_dbus.c
-	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -O2 -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}
+	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -march=athlon-xp -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}
 
 libskype_dbus64.so: .DEPENDS skype_messaging_dbus.c
-	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS} -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
-
-libskype-vv.dll: .DEPENDS skype_messaging_win32.c
-	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype-vv.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all -DUSE_VV ${WIN32_VV_CFLAGS}
+	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m64 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC ${DBUS_CFLAGS} -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
 
 libskype.dll: .DEPENDS skype_messaging_win32.c
 	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskype.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
 	upx libskype.dll
+
+libskype-xul.dll: .DEPENDS skype_messaging_win32.c
+	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c ${XUL_LIBS} -o libskype-xul.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
 
 libskypenet.dll: .DEPENDS skype_messaging_network.c
 	${WIN32_COMPILER} -Wall -I. -g -O2 -pipe libskype.c -o libskypenet.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -DSKYPENET -Wl,--strip-all
@@ -105,12 +103,12 @@
 
 locales:	${LOCALES}
 
-skype4pidgin-installer.exe: libskype.dll
+skype4pidgin-installer.exe: libskype.dll locales
 	date=`date +%d-%b-%Y` && sed "s/PRODUCT_VERSION \"[-a-z0-9A-Z]*\"/PRODUCT_VERSION \"$$date\"/" -i skype4pidgin.nsi
 	echo "Making .exe package"
 	makensis skype4pidgin.nsi > /dev/null
 
-skype4pidgin.deb: libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so
+skype4pidgin.deb: locales libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so
 	rm ${DEB_PACKAGE_DIR}/usr/lib/purple-2/libskype*.so
 	cp libskype.so libskype64.so libskype_dbus.so libskype_dbus64.so libskypearm.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
 	date=`date +%F` && sed "s/Version: [-a-z0-9A-Z]*/Version: $$date/" -i ${DEB_PACKAGE_DIR}/DEBIAN/control

=== debian/changelog ===
pidgin-skype (20110407+svn628+dfsg-1) unstable; urgency=low

  * SVN snapshot.
  * Enable hardening.
  * Bump Standards-Version to 3.9.3.
  * d/copyright complies with 1.0 format.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 01 Mar 2012 17:40:16 +0100

pidgin-skype (20110407+svn612+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "pidgin-skype FTBFS with multiarch": add patch from Micah Gersten
    (forwarded from Ubuntu) that uses pkg-config instead of using hardcoded
    paths.
    Closes: #636097
    LP: #756174

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Sep 2011 20:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: pidgin-skype
 Section: contrib/net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
+Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
- libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.2
+ libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, hardening-wrapper,
+ libdbus-1-dev, pkg-config
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://eion.robbmob.com/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export DH_OPTIONS
+export DEB_BUILD_HARDENING=1
 
 SVGDIR  = $(CURDIR)/debian/svgs
 DESTDIR = $(CURDIR)/debian/pidgin-skype
@@ -35,5 +36,5 @@
 		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
 	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
 	find $(TMPDIR) -type f -name '*.png' -print -delete
-	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+dfsg.orig.tar.gz *
+	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.gz *
 	rm -rf $(TMPDIR)

## pidgin-skype 20121110+svn645+dfsg

=== debian/changelog ===
pidgin-skype (20121110+svn645+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Add patch to display voice icon if contact has call equipment.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 10 Nov 2012 02:13:13 +0100

pidgin-skype (20121029+svn639+dfsg-1) unstable; urgency=low

  * New upstream snapshot (LP: #970885, #1067506).
  * Switch to compat 9.
    + Remove hardening-wrapper B-D.
  * Add VCS-* fields.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 29 Oct 2012 14:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: contrib/net
 Priority: optional
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, 
- libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, hardening-wrapper,
- libdbus-1-dev, pkg-config
+Build-Depends: debhelper (>= 9), libglib2.0-dev, 
+ libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://eion.robbmob.com/
+Vcs-Git: git://git.debian.org/git/collab-maint/pidgin-skype.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin-skype.git
 
 Package: pidgin-skype
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 export DH_OPTIONS
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 SVGDIR  = $(CURDIR)/debian/svgs
 DESTDIR = $(CURDIR)/debian/pidgin-skype
@@ -11,6 +11,7 @@
 
 override_dh_auto_build:
 	$(MAKE) all
+
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(DESTDIR) install
 	rsvg-convert -w 16 -h 16 $(SVGDIR)/skype16.svg \
@@ -29,6 +30,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=pidgin-skype-dbg
 
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
 TMPDIR=tmp-pidgin-skype
 get-orig-source:
 	@echo date=$(date) svnrev=$(svnrev)
@@ -36,5 +40,5 @@
 		"Usage: debian/rules date=YYYYMMDD svnrev=nnnn get-orig-source";exit 1;fi
 	svn export -r $(svnrev) http://skype4pidgin.googlecode.com/svn/trunk/ $(TMPDIR)
 	find $(TMPDIR) -type f -name '*.png' -print -delete
-	cd $(TMPDIR) && tar --exclude-vcs -zcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.gz *
+	cd $(TMPDIR) && tar --exclude-vcs -Jcf ../../pidgin-skype_$(date)+svn$(svnrev)+dfsg.orig.tar.xz *
 	rm -rf $(TMPDIR)

## pidgin-skype 20130613+svn660+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,13 +6,14 @@
 LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
 
 LIBPURPLE_CFLAGS = -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS
-GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include
-DBUS_CFLAGS = -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include
+GLIB_CFLAGS = `pkg-config --cflags glib-2.0` -I/usr/include
+DBUS_CFLAGS = -DSKYPE_DBUS `pkg-config --cflags dbus-1`
 WIN32_DEV_DIR = /root/pidgin/win32-dev
 WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.6.1
 WIN32_CFLAGS = -DPURPLE_PLUGINS -DENABLE_NLS -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_PIDGIN_DIR}/libpurple -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include
 WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lgthread-2.0 -lintl -lpurple
 XUL_LIBS = -I/usr/lib/xulrunner/include xpcomModule.cpp -I/usr/include/nspr
+X11_LIBS = `pkg-config --libs x11`
 
 VV_CFLAGS = -I/usr/include/gstreamer-0.10 -DUSE_VV -I/usr/include/libxml2
 WIN32_VV_CFLAGS = -I${WIN32_DEV_DIR}/libxml2/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include -I${WIN32_DEV_DIR}/gstreamer-0.10/include/gstreamer-0.10 
@@ -28,9 +29,9 @@
 
 allarch:	skype4pidgin.deb skype4pidgin-installer.exe libskype_dbus.so libskype_dbus64.so libskypearm.so
 
-#By default, 'make' compiles X11 version on local platform
+#By default, 'make' compiles X11 and DBus versions on local platform
 all: .DEPENDS skype_messaging_x11.c skype_messaging_dbus.c
-	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -pipe libskype.c -o libskype.so -shared -fPIC -DPIC
+	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -pipe libskype.c -o libskype.so -shared -fPIC -DPIC ${X11_LIBS}
 	gcc ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -pipe libskype.c -o libskype_dbus.so -shared -fPIC -DPIC ${DBUS_CFLAGS}
 
 install: locales

=== debian/changelog ===
pidgin-skype (20130613+svn660+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
  * Split binary into p-s-common (plugins), p-s (pidgin icons and theme),
    empathy-skype (empathy icons).
  * Remove patches + 00Makefile - don't make install anymore.
                   + 01usepkgconfig - applied upstream.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Make Vcs-* fields canonical.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 13 Jun 2013 23:39:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,18 @@
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://eion.robbmob.com/
-Vcs-Git: git://git.debian.org/git/collab-maint/pidgin-skype.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin-skype.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pidgin-skype.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pidgin-skype.git
 
-Package: pidgin-skype
+Package: pidgin-skype-common
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.1.1)
 Provides: skype4pidgin
-Replaces: skype4pidgin
-Conflicts: skype4pidgin
-Description: Skype plugin for libpurple messengers
+Replaces: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
+Breaks: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (common files)
  This protocol plugin allows libpurple to communicate with Skype.
  Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
  etc.) can thus show your Skype contacts alongside those from
@@ -28,12 +27,52 @@
  installed and running.
  This product uses the Skype API but is not endorsed, certified
  or otherwise approved in any way by Skype.
+ .
+ This package contains D-Bus and X11 libpurple plugins.
+
+Package: pidgin-skype
+Architecture: i386 amd64
+Depends: ${misc:Depends}, libpurple0 (>= 2.1.1),
+ pidgin-skype-common (>= 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (Pidgin-specific files)
+ This protocol plugin allows libpurple to communicate with Skype.
+ Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
+ etc.) can thus show your Skype contacts alongside those from
+ other protocols, and you can communicate with them using that
+ application instead of the Skype user interface.
+ .
+ This plugin communicates with the Skype application in the
+ background to perform its work, so it's necessary to have Skype
+ installed and running.
+ This product uses the Skype API but is not endorsed, certified
+ or otherwise approved in any way by Skype.
+ .
+ This package contains Pidgin-specific files.
+
+Package: empathy-skype
+Architecture: i386 amd64
+Depends: ${misc:Depends}, telepathy-haze,
+ pidgin-skype-common (>= 20121121+svn646+dfsg-1)
+Description: Skype plugin for libpurple messengers (Empathy-specific files)
+ This protocol plugin allows libpurple to communicate with Skype.
+ Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
+ etc.) can thus show your Skype contacts alongside those from
+ other protocols, and you can communicate with them using that
+ application instead of the Skype user interface.
+ .
+ This plugin communicates with the Skype application in the
+ background to perform its work, so it's necessary to have Skype
+ installed and running.
+ This product uses the Skype API but is not endorsed, certified
+ or otherwise approved in any way by Skype.
+ .
+ This package contains Empathy-specific files.
 
 Package: pidgin-skype-dbg
 Section: contrib/debug
 Priority: extra
 Architecture: i386 amd64
-Depends: ${misc:Depends}, pidgin-skype (= ${binary:Version})
+Depends: ${misc:Depends}, pidgin-skype-common (= ${binary:Version})
 Description: Skype plugin for libpurple messengers (debug symbols)
  This protocol plugin allows libpurple to communicate with Skype.
  Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,

## pidgin-skype 20140930%2Bsvn665%2Bdfsg

=== debian/changelog ===
pidgin-skype (20140930+svn665+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix crash connecting to skype (Closes: #763016).
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 29 Sep 2014 23:52:28 +0200

## pidgin-skype 20140930+svn665+dfsg

=== debian/changelog ===
pidgin-skype (20140930+svn665+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #856736)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 18:14:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pidgin-skype
 Section: contrib/net
 Priority: optional
-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), libglib2.0-dev, 
  libpurple-dev (>= 2.1.1), libx11-dev, librsvg2-bin, libdbus-1-dev, pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://eion.robbmob.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pidgin-skype.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pidgin-skype.git

## pidgin-skype 20240122%2Bgitab786a3%2Bdfsg

=== debian/changelog ===
pidgin-skype (20240122+gitab786a3+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Zajda <patrick@zajda.fr>  Fri, 09 Feb 2024 07:36:50 +0100

pidgin-skype (20240122+gitab786a3+dfsg-2) unstable; urgency=medium

  * debian/control: update VCS URLs

 -- Patrick Zajda <patrick@zajda.fr>  Sat, 03 Feb 2024 09:36:10 +0100

pidgin-skype (20240122+gitab786a3+dfsg-1) unstable; urgency=medium

  * New maintainer (Closes: #856736)
  * Declare compliance with Debian Policy 4.6.2
  * New upstream version
  * Remove support for Skype and Skype DBus plugins
  * Add SkypeWeb plugin (Closes: #788922)
  * Use debian/watch to update from upstream source excluding icons
  * Remove patches
  * debian/controle:
    - Move from contrib to main
    - Adjust build dependencies
    - Change descriptions, now only provide Skype web
  * debian/*.links: update paths to icons
  * debian/*.install: update paths to icons
  * debian/rules:
    - Adjust to new directory structure
    - Fix custom-compression-in-debian-rules

 -- Patrick Zajda <patrick@zajda.fr>  Wed, 17 Jan 2024 17:44:03 +0100

=== debian/control ===
Source: pidgin-skype
Section: net
Priority: optional
Maintainer: Patrick Zajda <patrick@zajda.fr>
Build-Depends: debhelper-compat (= 13), librsvg2-bin, libpurple-dev, libjson-glib-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/EionRobb/skype4pidgin
Vcs-Git: https://salsa.debian.org/debian/pidgin-skype.git
Vcs-Browser: https://salsa.debian.org/debian/pidgin-skype

Package: pidgin-skype-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: skype4pidgin
Replaces: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
Breaks: skype4pidgin, pidgin-skype (<< 20121121+svn646+dfsg-1)
Description: Skype plugin for libpurple messengers (common files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.

Package: pidgin-skype
Architecture: any
Depends: ${misc:Depends}, pidgin-skype-common (= ${binary:Version})
Description: Skype plugin for libpurple messengers (Pidgin-specific files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.
 .
 This package contains Pidgin-specific files.

Package: empathy-skype
Architecture: any
Depends: ${misc:Depends}, telepathy-haze,
 pidgin-skype-common (= ${binary:Version})
Description: Skype plugin for libpurple messengers (Empathy-specific files)
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch, Empathy/Telepathy,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.
 .
 This package contains Empathy-specific files.

## pidgin-skype 20240122+gitab786a3+dfsg

=== skypeweb/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

set(PROJECT_NAME "skypeweb" C)
set(VERSION_MAJOR "1")
set(VERSION_MINOR "7")
set(VERSION_PATCH "0")

project(${PROJECT_NAME})

set(CMAKE_MODULE_PATH 
    ${CMAKE_SOURCE_DIR}/cmake 
    ${CMAKE_MODULE_PATH}
    )

find_package(PkgConfig REQUIRED)

pkg_check_modules(GLIB REQUIRED  glib-2.0)
pkg_check_modules(JSON-GLIB REQUIRED json-glib-1.0)
pkg_check_modules(PURPLE REQUIRED purple)

add_definitions(-Wall)

include_directories(
    ${PURPLE_INCLUDE_DIRS}
    ${GLIB2_INCLUDE_DIRS}
    ${JSON-GLIB_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/purple2compat
    )

set(SRC_LIST
    skypeweb_connection.c
    skypeweb_contacts.c
    skypeweb_login.c
    skypeweb_messages.c
    skypeweb_util.c
    libskypeweb.c 
	purple2compat/http.c
	purple2compat/purple-socket.c
    )

add_library(${PROJECT_NAME} SHARED ${SRC_LIST})

target_link_libraries(${PROJECT_NAME}
    ${PURPLE_LIBRARIES}
    ${GLIB2_LIBRARIES}
    ${JSON-GLIB_LIBRARIES}
    )

link_directories(
    ${PURPLE_LIBRARY_DIRS}
    )


#install(TARGETS ${PROJECT_NAME} DESTINATION ${LIB_INSTALL_DIR})
exec_program("${PKG_CONFIG_EXECUTABLE} --variable=plugindir purple 2>/dev/null"
        OUTPUT_VARIABLE LIB_INSTALL_DIR
        RETURN_VALUE PURPLE_PLUGINDIR_RET)

if (NOT PURPLE_PLUGINDIR_RET EQUAL 0)
	message( FATAL_ERROR "${PKG_CONFIG_EXECUTABLE} --variable=plugindir purple -- returned a non-null error code")
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION ${LIB_INSTALL_DIR})

exec_program("${PKG_CONFIG_EXECUTABLE} --variable=datadir purple 2>/dev/null"
        OUTPUT_VARIABLE PURPLE_DATADIR
        RETURN_VALUE PURPLE_DATADIR_RET)

if (NOT PURPLE_DATADIR_RET EQUAL 0)
	message( FATAL_ERROR "${PKG_CONFIG_EXECUTABLE} --variable=datadir purple -- returned a non-null error code")
endif()

install(DIRECTORY "icons/"
    DESTINATION "${PURPLE_DATADIR}/pixmaps/pidgin/protocols/"
    )

install(FILES "theme"
    DESTINATION "${PURPLE_DATADIR}/pixmaps/pidgin/emotes/skype/"
    )

# package settings
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Skype protocol plug-in for libpurple")
set(CPACK_PACKAGE_VENDOR "Eion Robb")
set(CPACK_PACKAGE_DESCRIPTION "libskypeweb is a Skype protocol plug-in for libpurple based on the Skype Web client")
set(CPACK_PACKAGE_CONTACT "edhelas@movim.eu")
set(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON) 
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${VERSION}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${VERSION}")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libpurple0 (>= 2.10.0), libglib2.0-0 (>= 2.24), libjson-glib-1.0-0 (>= 0.8.0)")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Jaussoin Timothée") #required

set(PACK "DEB" CACHE STRING "Generate a Package")
set(CPACK_GENERATOR ${PACK})

include(CPack)

=== skypeweb/Makefile ===

PIDGIN_TREE_TOP ?= ../../pidgin-2.10.11
PIDGIN3_TREE_TOP ?= ../../pidgin-main
LIBPURPLE_DIR ?= $(PIDGIN_TREE_TOP)/libpurple
WIN32_DEV_TOP ?= $(PIDGIN_TREE_TOP)/../win32-dev

WIN32_CC ?= $(WIN32_DEV_TOP)/mingw-4.7.2/bin/gcc

PKG_CONFIG ?= pkg-config
DIR_PERM = 0755
LIB_PERM = 0755
FILE_PERM = 0644
MAKENSIS ?= makensis

CFLAGS	?= -O2 -g -pipe
LDFLAGS ?= 

# Do some nasty OS and purple version detection
ifeq ($(OS),Windows_NT)
  #only defined on 64-bit windows
  PROGFILES32 = ${ProgramFiles(x86)}
  ifndef PROGFILES32
    PROGFILES32 = $(PROGRAMFILES)
  endif
  SKYPEWEB_TARGET = libskypeweb.dll
  SKYPEWEB_DEST = "$(PROGFILES32)/Pidgin/plugins"
  SKYPEWEB_ICONS_DEST = "$(PROGFILES32)/Pidgin/pixmaps/pidgin/protocols"
  SKYPEWEB_THEME_DEST = "$(PROGFILES32)/Pidgin/pixmaps/pidgin/emotes/skype"
  MAKENSIS = "$(PROGFILES32)/NSIS/makensis.exe"
else

  UNAME_S := $(shell uname -s)

  #.. There are special flags we need for OSX
  ifeq ($(UNAME_S), Darwin)
    #
    #.. /opt/local/include and subdirs are included here to ensure this compiles
    #   for folks using Macports.  I believe Homebrew uses /usr/local/include
    #   so things should "just work".  You *must* make sure your packages are
    #   all up to date or you will most likely get compilation errors.
    #
    INCLUDES = -I/opt/local/include -lz $(OS)

    CC = gcc
  else
    INCLUDES = 
    CC ?= gcc
  endif

  ifeq ($(shell $(PKG_CONFIG) --exists purple-3 2>/dev/null && echo "true"),)
    ifeq ($(shell $(PKG_CONFIG) --exists purple 2>/dev/null && echo "true"),)
      SKYPEWEB_TARGET = FAILNOPURPLE
      SKYPEWEB_DEST =
	  SKYPEWEB_ICONS_DEST =
	  SKYPEWEB_THEME_DEST =
    else
      SKYPEWEB_TARGET = libskypeweb.so
      SKYPEWEB_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple`
	  SKYPEWEB_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/protocols
	  SKYPEWEB_THEME_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple`/pixmaps/pidgin/emotes/skype
    endif
  else
    SKYPEWEB_TARGET = libskypeweb3.so
    SKYPEWEB_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=plugindir purple-3`
	SKYPEWEB_ICONS_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/protocols
	SKYPEWEB_THEME_DEST = $(DESTDIR)`$(PKG_CONFIG) --variable=datadir purple-3`/pixmaps/pidgin/emotes/skype
  endif
endif

WIN32_CFLAGS = -I$(WIN32_DEV_TOP)/glib-2.28.8/include -I$(WIN32_DEV_TOP)/glib-2.28.8/include/glib-2.0 -I$(WIN32_DEV_TOP)/glib-2.28.8/lib/glib-2.0/include -I$(WIN32_DEV_TOP)/json-glib-0.14/include/json-glib-1.0 -DENABLE_NLS -DPACKAGE_VERSION='"$(PLUGIN_VERSION)"' -Wall -Wextra -Werror -Wno-deprecated-declarations -Wno-unused-parameter -fno-strict-aliasing -Wformat -Wno-sign-compare
WIN32_LDFLAGS = -L$(WIN32_DEV_TOP)/glib-2.28.8/lib -L$(PROTOBUF_C_DIR)/bin -L$(WIN32_DEV_TOP)/json-glib-0.14/lib -lpurple -lintl -lglib-2.0 -lgobject-2.0 -ljson-glib-1.0 -g -ggdb -static-libgcc -lz
WIN32_PIDGIN2_CFLAGS = -I$(PIDGIN_TREE_TOP)/libpurple -I$(PIDGIN_TREE_TOP) $(WIN32_CFLAGS)
WIN32_PIDGIN3_CFLAGS = -I$(PIDGIN3_TREE_TOP)/libpurple -I$(PIDGIN3_TREE_TOP) -I$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_CFLAGS)
WIN32_PIDGIN2_LDFLAGS = -L$(PIDGIN_TREE_TOP)/libpurple $(WIN32_LDFLAGS)
WIN32_PIDGIN3_LDFLAGS = -L$(PIDGIN3_TREE_TOP)/libpurple -L$(WIN32_DEV_TOP)/gplugin-dev/gplugin $(WIN32_LDFLAGS) -lgplugin

C_FILES = \
	skypeweb_connection.c \
	skypeweb_contacts.c \
	skypeweb_login.c \
	skypeweb_messages.c \
	skypeweb_util.c \
	libskypeweb.c 
PURPLE_COMPAT_FILES := purple2compat/http.c purple2compat/purple-socket.c
PURPLE_C_FILES := libskypeweb.c $(C_FILES)



.PHONY:	all install FAILNOPURPLE clean translations

all: $(SKYPEWEB_TARGET)

libskypeweb.so: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) $(PROTOBUF_OPTS) `$(PKG_CONFIG) purple glib-2.0 json-glib-1.0 zlib --libs --cflags`  $(INCLUDES) -Ipurple2compat -g -ggdb

libskypeweb3.so: $(PURPLE_C_FILES)
	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared -o $@ $^ $(LDFLAGS) $(PROTOBUF_OPTS) `$(PKG_CONFIG) purple-3 glib-2.0 json-glib-1.0 zlib --libs --cflags` $(INCLUDES)  -g -ggdb

libskypeweb.dll: $(PURPLE_C_FILES) $(PURPLE_COMPAT_FILES)
	$(WIN32_CC) -shared -o $@ $^ $(WIN32_PIDGIN2_CFLAGS) $(WIN32_PIDGIN2_LDFLAGS) -Ipurple2compat

libskypeweb3.dll: $(PURPLE_C_FILES)
	$(WIN32_CC) -shared -o $@ $^ $(WIN32_PIDGIN3_CFLAGS) $(WIN32_PIDGIN3_LDFLAGS)

install: $(SKYPEWEB_TARGET) install-icons install-theme
	mkdir -m $(DIR_PERM) -p $(SKYPEWEB_DEST)
	install -m $(LIB_PERM) -p $(SKYPEWEB_TARGET) $(SKYPEWEB_DEST)

install-icons: icons/16/skype.png icons/22/skype.png icons/48/skype.png icons/16/skypeout.png icons/22/skypeout.png icons/48/skypeout.png
	mkdir -m $(DIR_PERM) -p $(SKYPEWEB_ICONS_DEST)/16
	mkdir -m $(DIR_PERM) -p $(SKYPEWEB_ICONS_DEST)/22
	mkdir -m $(DIR_PERM) -p $(SKYPEWEB_ICONS_DEST)/48
	install -m $(FILE_PERM) -p icons/16/skype.png $(SKYPEWEB_ICONS_DEST)/16/skype.png
	install -m $(FILE_PERM) -p icons/22/skype.png $(SKYPEWEB_ICONS_DEST)/22/skype.png
	install -m $(FILE_PERM) -p icons/48/skype.png $(SKYPEWEB_ICONS_DEST)/48/skype.png
	install -m $(FILE_PERM) -p icons/16/skypeout.png $(SKYPEWEB_ICONS_DEST)/16/skypeout.png
	install -m $(FILE_PERM) -p icons/22/skypeout.png $(SKYPEWEB_ICONS_DEST)/22/skypeout.png
	install -m $(FILE_PERM) -p icons/48/skypeout.png $(SKYPEWEB_ICONS_DEST)/48/skypeout.png

installer: pidgin-skypeweb.nsi libskypeweb.dll
	$(MAKENSIS) "/DPIDGIN_VARIANT"="Pidgin" "/DPRODUCT_NAME"="pidgin-skypeweb" "/DINSTALLER_NAME"="pidgin-skypeweb-installer" "/DJSON_GLIB_DLL"="libjson-glib-1.0.dll" pidgin-skypeweb.nsi

install-theme: theme
	mkdir -m $(DIR_PERM) -p $(SKYPEWEB_THEME_DEST)
	install -m $(FILE_PERM) -p theme $(SKYPEWEB_THEME_DEST)/theme

translations: po/skypeweb.pot

po/skypeweb.pot: 
	xgettext $^ -k_ --no-location -o $@

po/%.po: po/skypeweb.pot
	msgmerge $@ po/skypeweb.pot > tmp-$*
	mv -f tmp-$* $@

po/%.mo: po/%.po
	msgfmt -o $@ $^

%-locale-install: po/%.mo
	install -D -m $(FILE_PERM) -p po/$(*F).mo $(LOCALEDIR)/$(*F)/LC_MESSAGES/purple-discord.mo
	
FAILNOPURPLE:
	echo "You need libpurple development headers installed to be able to compile this plugin"

clean:
	rm -f $(SKYPEWEB_TARGET)

=== debian/changelog ===
pidgin-skype (20240122+gitab786a3+dfsg-3) unstable; urgency=medium

  * debian/rules: fix missing import of pkg-info.mk
  * debian/control: Bump standards version to 4.7.0
  * Remove pidgin-skype-common and empathy-skype
    Plugin is only compatible with Pidgin, common package is not necessary

 -- Patrick Zajda <patrick@zajda.fr>  Sat, 07 Sep 2024 15:28:05 +0200

=== debian/control ===
Source: pidgin-skype
Section: net
Priority: optional
Maintainer: Patrick Zajda <patrick@zajda.fr>
Build-Depends: debhelper-compat (= 13), librsvg2-bin, libpurple-dev, libjson-glib-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/EionRobb/skype4pidgin
Vcs-Git: https://salsa.debian.org/debian/pidgin-skype.git
Vcs-Browser: https://salsa.debian.org/debian/pidgin-skype

Package: pidgin-skype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: skype4pidgin, pidgin-skype-common
Replaces: skype4pidgin, pidgin-skype-common
Breaks: skype4pidgin, pidgin-skype-common
Description: Skype plugin for libpurple messengers
 This protocol plugin allows libpurple to communicate with Skype Web.
 Applications using libpurple (Pidgin, Finch,
 etc.) can thus show your Skype contacts alongside those from
 other protocols, and you can communicate with them using that
 application.
 .
 This product uses the web version of Skype.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PLUGIN_VERSION = $(DEB_VERSION)

SVGS = debian/svgs
ICONS = debian/icons

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C skypeweb all

override_dh_auto_install:
	for i in 16 22 48; do \
		[ $$i -eq 16 ] && SVG=$(SVGS)/skype16.svg || SVG=$(SVGS)/skype.svg; \
		SVGOUT=$(SVGS)/skypeout.svg; \
		mkdir -p $(ICONS)/$${i}; \
		rsvg-convert -w $${i} -h $${i} $${SVG} \
			-o $(ICONS)/$${i}/skype.png; \
		rsvg-convert -w $${i} -h $${i} $${SVGOUT} \
			-o $(ICONS)/$${i}/skypeout.png; \
	done

override_dh_auto_clean:
	$(MAKE) -C skypeweb clean
	-rm -rf $(ICONS)
	dh_auto_clean

override_dh_strip:
	dh_strip --dbgsym-migration='pidgin-skype-dbg(<< 20230710+git5daf79d+dfsg-1~)'

=== debian/watch ===
version=4
opts="mode=git,pretty=%cd+git%h,date=%Y%m%d,dversionmangle=s/\+dfsg\d*$// ,repacksuffix=+dfsg" \
https://github.com/EionRobb/skype4pidgin \
HEAD
